<template>
  <div>
    <div
      v-if="item.isEditable !== undefined && !item.isEditable"
      class="account-list__status"
    >
      <ObTooltip
        :content="$options.textContent.isEditableIconTooltip"
      >
        <i class="icon lock account-list__blue" />
      </ObTooltip>
    </div>
    <div v-else-if="item.carrierSearchType.toLowerCase() === STEP.OFFER">
      <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path fill-rule="evenodd" clip-rule="evenodd" d="M12 16C15.866 16 19 12.866 19 9C19 5.13401 15.866 2 12 2C8.13401 2 5 5.13401 5 9C5 12.866 8.13401 16 12 16ZM12 18C13.8501 18 15.5699 17.4417 17 16.4845V20.8112C15.7016 20.09 13.8771 19.0526 12.8173 18.3469C12.3439 18.0317 11.725 18.0027 11.2197 18.2975L7 20.759V16.4845C8.4301 17.4417 10.1499 18 12 18ZM21 9C21 11.1433 20.2508 13.1116 19 14.6573V21.6629C19 22.7919 17.7915 23.529 16.7851 22.977C15.6426 22.3504 13.3705 21.0863 11.9639 20.1787L7.25581 22.9251C6.25582 23.5085 5 22.7872 5 21.6295V14.6573C3.7492 13.1116 3 11.1433 3 9C3 4.02944 7.02944 0 12 0C16.9706 0 21 4.02944 21 9ZM12.9746 10.8261C12.9746 10.5493 12.8982 10.3321 12.7456 10.1745C12.593 10.0168 12.3249 9.86793 11.9413 9.7278C11.5577 9.58767 11.2035 9.44579 10.8787 9.30215C10.5538 9.15852 10.274 8.99212 10.0391 8.80294C9.80431 8.61377 9.62427 8.39482 9.49902 8.14608C9.37378 7.89736 9.31115 7.59608 9.31115 7.24225C9.31115 6.6502 9.53425 6.16325 9.98043 5.7814C10.4266 5.39604 11.0215 5.17183 11.7652 5.10878V4H12.6986V5.1298C13.4149 5.22438 13.9765 5.48888 14.3836 5.92328C14.7945 6.35418 15 6.90243 15 7.56805H13.0157C13.0157 7.20371 12.9374 6.92345 12.7808 6.72727C12.6243 6.53109 12.4012 6.433 12.1115 6.433C11.8532 6.433 11.6517 6.50657 11.5068 6.6537C11.3659 6.79734 11.2955 6.99702 11.2955 7.25276C11.2955 7.512 11.3777 7.71869 11.5421 7.87283C11.7065 8.02347 11.9706 8.16886 12.3346 8.30899C12.6986 8.44561 13.0411 8.58924 13.362 8.73988C13.6869 8.88702 13.9667 9.05518 14.2016 9.24435C14.4364 9.43353 14.6204 9.65423 14.7534 9.90646C14.8865 10.1587 14.953 10.4617 14.953 10.8156C14.953 11.4146 14.7397 11.9033 14.3131 12.2817C13.8904 12.66 13.3131 12.8807 12.5812 12.9438V14H11.6477V12.9385C10.7945 12.8579 10.1389 12.597 9.68102 12.1555C9.22701 11.7106 9 11.1256 9 10.4004H10.9785C10.9785 10.7998 11.0763 11.1046 11.272 11.3148C11.4716 11.5215 11.7534 11.6248 12.1174 11.6248C12.3836 11.6248 12.593 11.5547 12.7456 11.4146C12.8982 11.271 12.9746 11.0748 12.9746 10.8261Z" fill="#00CCA6"/>
      </svg>
    </div>
    <div v-else-if="item.currentState === STEP.NO_BIDS && item.lotStatus === STEP.COMPLETED" class="account-list__status">
      <i class="icon clock account-list__red"></i>
    </div>
    <div v-else class="account-list__status">
      <i
        v-if="item.type === STEP.AUCTION"
        class="icon auction"
        :class="colorIcon"
      />
      <div v-if="item.type === STEP.BOOKING">
        <status-dots :status="statusPoint"/>
      </div>
    </div>
  </div>
</template>

<script>
import statusDots from '../../../components/dots';
import STEPS from '@/constants/steps.js';
import { textContent } from '@/constants/order'
import ObTooltip from 'common-components/src/obComponents/obTooltip'

export default {
  components: {
    statusDots,
    ObTooltip
  },
  props: {
    item: {
      type: Object,
      default: () => {}
    }
  },
  textContent,
  data() {
    return {
      STEP: STEPS
    }
  },
  computed: {
    colorIcon() {
      if (this.item.status === this.STEP.ACTIVE && this.item.currentState === this.STEP.WIN) {
        return 'account-list__green';
      } else if (this.item.status === this.STEP.ACTIVE && this.item.currentState === this.STEP.LOSING) {
        return 'account-list__red';
      } else if (this.item.status === this.STEP.WINNER) {
        if (this.item.orderStatus === this.STEP.FAILED || this.item.orderStatus === this.STEP.CANCELLED || this.item.orderStatus === 'CANCELED') {
          return 'account-list__red';
        } else {
          return 'account-list__green';
        }
      } else if (this.item.status === this.STEP.CANCELLED) {
        return 'account-list__red';
      }
      return 'account-list__blue';
    },
    statusPoint() {
      switch(this.item.orderStatus) {
        case 'ALLOCATED':
        case 'CONTRACTED':
          return 3;
        case 'BOOKED':
          return 2;
        default:
          return 1
      }
    }
  }
}
</script>
